# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:api,cmdc需求单列表商品取消操作,2252,2252-6,sit,bs
主数据平台:多彩商城需求单列表取消商品接口 
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多彩商城登录.多彩商城登录 import CmdcMaiiLogin
import requests
import json


module = "cmdc_demand_list_pc"


url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url2")
print(url)
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
print(cmdc_access_token)
headers = commonFuc().get_business_data(module, "json_headers2",cmdc_access_token)
print(headers)
request_body = commonFuc().get_business_data(module, "payload2")
print(request_body)
"""
 场景:在用户对应的多彩商城中的需求单列表进行需求单取消操作验证
 用例名称：需求单取消操作
 输出：{"success":true,"code":"200","message":"OK","data":1,"freshToken":null}
"""
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
print(result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict2")
print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
